Skip to main content
POST

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

sender
string
required

Registered WhatsApp sender number. Must be in international format.

Minimum string length: 1

Body

application/json
name
string
required

Name of the flow.

Required string length: 1 - 200
Example:

"My first flow"

categories
enum<string>[]
required

Categories of the flow.

Minimum array length: 1

Categories of the flow.

Available options:
SIGN_UP,
SIGN_IN,
APPOINTMENT_BOOKING,
LEAD_GENERATION,
CONTACT_US,
CUSTOMER_SUPPORT,
SURVEY,
OTHER,
SHOPPING,
UNKNOWN
Example:

"SIGN_UP"

cloneFlowId
string

ID of source Flow to clone. The new flow with DRAFT status will inherit the flow.json from source flow.

Example:

"987654"

Response

Flow Created

List of found flows.

id
string
required

ID of the flow.

Example:

"123456"

name
string
required

Name of the flow.

Example:

"My first flow"

businessAccountId
integer<int64>
required

WhatsApp business account ID.

Example:

987654

categories
enum<string>[]
required

Categories of the flow.

Categories of the flow.

Available options:
SIGN_UP,
SIGN_IN,
APPOINTMENT_BOOKING,
LEAD_GENERATION,
CONTACT_US,
CUSTOMER_SUPPORT,
SURVEY,
OTHER,
SHOPPING,
UNKNOWN
Example:

"SIGN_UP"

status
enum<string>
required

Status of the flow.

Available options:
DRAFT,
PUBLISHED,
DEPRECATED,
BLOCKED,
THROTTLED
Example:

"DRAFT"

initialScreens
string[]

IDs of the initial screens required to send a flow with flowAction set to 'NAVIGATE'. Only exists for flows after publishing.

IDs of the initial screens required to send a flow with flowAction set to 'NAVIGATE'. Only exists for flows after publishing.